#!/bin/sh

set -e

CC="$(which cc)"

which tcc >/dev/null

if [ -h "$CC" ]; then
	unlink "$CC"
	ln -s "$(which tcc)" "$CC"
else
	printf "$0: \$(which cc), $(which cc), is not a symbolic link\n" >/dev/stderr
	exit 1
fi
